LIGHTNING-LISTFUNDS(7)

NAME
lightning-listfunds - Command showing all funds currently managed by the c-lightning node.

SYNOPSIS

listfunds

DESCRIPTION

The listfunds RPC command displays all funds available, either in unspent outputs (UTXOs) in the internal wallet or funds locked in currently open channels.

RETURN VALUE

On success two arrays will be returned: outputs with funds currently locked onchain in UTXOs and channels with funds readily spendable in channels.

Each entry in outputs will include:

    • txid

    • address

    • output

    • value

    • status

Each entry in channels will include:

    • peer_id - the peer with which the channel is opened.

    • short_channel_id - as per BOLT 7 (representing the block, transaction number and output index of the channel funding transaction).

    • channel_sat - available satoshis on our node’s end of the channel (values rounded to the nearest satoshi as internal storage is in milisatoshi).

    • channel_total_sat - total channel value in satoshi (values rounded to the nearest satoshi as internal storage is in milisatoshi).

    • funding_txid - funding transaction id.

AUTHOR

Felix <fixone@gmail.com> is mainly responsible.

SEE ALSO

lightning-newaddr(7), lightning-fundchannel(7), lightning-withdraw(7)

RESOURCES

Main web site: https://github.com/ElementsProject/lightning